Subject: Re: bug#57142: reporting an issue

From: "P.C. User" <[email-masked]>
Date: Fri, 12 Aug 2022 14:11:49 +0200

Dear Anton,

please, read 

https://de.wikipedia.org/wiki/Master_Boot_Record#Prim%C3%A4re_und_erweiterte_Partitionstabelle

Brief: An MBR partition table can hold 4 primary partition entries - or in place of one of them an extended partition. 
The Filesystem type is an indicator in this table. Additionally the partition needs to be formatted, i.e. the file system structure needs to be written to the partition.

Try testdisk for rescue - it's able to recover lost partitons including file system - while photorec would search for data and try to copy files found to a different media.

Regards,
P.C.User

Am 11. August 2022 14:55:43 MESZ schrieb Anton Wessel <[email-masked]>:

Dear Ladies and Gentlemen,

In KNOPPIX 9.1 I use parted version 3.4

I am trying to repair the USB stick

> SanDisk Cruzer Glide
> SDCZ60-256G-B35

which was destoyed by partclone.

Gparted shows red warnigs, that no filesystem can be found.

With Gparted I have often deleted the partition(s) and created various new patitions with partition tables msdos and gpt.

Yet not tried ntfs until yet.

Until yet all was of no help.

Now I am going on to make partitioning to ntfs and exfat.

For this I am now using the tool parted.

In the moment the non-working on the USB stick has the partition table msdos.

For the parted command "mkpart" the documentation "info parted" says:

PART-TYPE is one of "primary", "extended" or "logical", and may be specified only with "msdos" or "dvh" partition tables.

Now the problem is:

I intend to mkpart "ntfs",
but nevertheless parted insists to type "primary".

Without giving "primary" I cannot progress, and with giving "primary" an error message is produced.

This is true for interactive operation as well as for non-interactive.

There is no way to use parted.

You want to receive with each bug report the output of the parted command

parted /dev/sdp unit s print free

(I have tried sdp and sdp1)

The output I cite here:

+++++

Model: SanDisk Cruzer Glide (scsi)

Disk /dev/sdp: 487391232s

Sector size (logical/physical): 512B/513B

Partition Table: msdos

Disk Flags:   (none)

Number  Start       End                Size  Type  FileSystem  Flags

                2s          2047s            2046s  (none)  FreeSpace  (none)

1               2048s  487391231s  487389184s  primary  (none)  (none)

-----

Regards

Anton_Wessel@t-online
de